import 'dart:html' as html;

Map<String, String> getCookie() {
  final cookiesString = html.document.cookie;
  final cookies = <String, String>{};
  if (cookiesString?.isNotEmpty == true) {
    cookiesString.split(';').forEach((String cookie) {
      final split = cookie.split('=');
      cookies[split[0].trim()] = split[1].trim();
    });
  }
  print("cookies map is " + cookies.toString());
  return cookies;
}

void clearCookies() {
  var cookies = html.document.cookie.split(";");
  for (var i = 0; i < cookies.length; i++) {
    var cookie = cookies[i];
    var eqPos = cookie.indexOf("=");
    var name = eqPos > -1 ? cookie.substring(0, eqPos) : cookie;
    html.document.cookie = name + "=;expires=Thu, 01 Jan 1970 00:00:00 GMT;path=/";
    html.document.cookie = name +
        "=;expires=Thu, 01 Jan 1970 00:00:00 GMT;domain=tencentlive.qq.com;path=/";
  }
  html.document.cookie="userLogout=1; path=/";
  //html.window.sessionStorage["userLogout"] = "1";
}
